/*
 * Implements chctab.cc
 * See the sources for details.
 */



// store one character enumeration
struct chars_enum {
  char first;     // the first char in this enumeration
  char last;      // last in enumeration
  DWORD classid;  // the respective class
};



class class_chclass_table {

 public:
  class_chclass_table ();
  ~class_chclass_table ();

 private:
  DWORD m_max_enumerations;
  DWORD m_num_enumerations;
  chars_enum* m_tab;

 public:
  void init ();
  void terminate ();
  BOOL set_max_enumerations (DWORD);
  BOOL add_enumeration (char, char, DWORD);
  BOOL match (char, DWORD);
};
