/*
 * Declare string.cc and macros.
 * See source file for details.
 */



#ifndef __BASE_STRING_H__
#define __BASE_STRING_H__



// when need enlarge the buffer, this is the increase step
#define ALLOC_STEP 8



class class_string {

	public:

	class_string ();
	~class_string ();

	protected:

	char *m_data;
	DWORD m_alloc_size;

	// internal funcions
	inline BOOL size_buffer (DWORD);

	      public:

	// external functions
	void  init ();
	void  terminate ();
	char *get ();
	char *copy (const char *);
	char *duplicate (const char *);
	void  free_unused ();
	BOOL  append_form (char*, char*);
	BOOL  append (const char *);
	BOOL  append_char (char);
};



// end declarations
#endif
